<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">

    <head>
    <title>GormClassPanelController class documentation</title>
  </head>
  <body>
    <font face="serif">
    <h1><a name="title$GormClassPanelController">GormClassPanelController class documentation</a></h1>
    <h3>Authors</h3>
    <dl>
      <dt>Generated by heron</dt>
      <dd>
      </dd>
    </dl>

        <div>
    </div>

          <h1><a name="001000000000">
        Software documentation for the
        GormClassPanelController class
      </a></h1>
    <h2><a name="class$GormClassPanelController">GormClassPanelController</a> : NSObject</h2>
    <blockquote class="declared">
      <dl>
        <dt><b>Declared in:</b></dt>
        <dd>GormCore/GormClassPanelController.h</dd>
      </dl>
    </blockquote>
    <div class="desc">
      
          <em>Description forthcoming.</em>
        
    </div>
    <hr width="50%" align="left" />
    <a href="#_GormClassPanelController_ivars">Instance Variables</a>
    <br/><br/>
    <b>Method summary</b>
    <ul>
      <li><a rel="gsdoc" href="GormClassPanelController.html#method$GormClassPanelController-browserAction$">-browserAction:</a></li>
      <li><a rel="gsdoc" href="GormClassPanelController.html#method$GormClassPanelController-initWithTitle$classList$">-initWithTitle:classList:</a></li>
      <li><a rel="gsdoc" href="GormClassPanelController.html#method$GormClassPanelController-okButton$">-okButton:</a></li>
      <li><a rel="gsdoc" href="GormClassPanelController.html#method$GormClassPanelController-runModal">-runModal</a></li>
    </ul>
    <hr width="50%" align="left" />
<div class="method">
    <h3><a name="method$GormClassPanelController-browserAction$">browserAction:&nbsp;</a></h3>
    - (void) <b>browserAction:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassPanelController-initWithTitle$classList$">initWithTitle:&nbsp;classList:&nbsp;</a></h3>
    - (id) <b>initWithTitle:</b> (NSString*)title<b> classList:</b> (NSArray*)classes;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassPanelController-okButton$">okButton:&nbsp;</a></h3>
    - (void) <b>okButton:</b> (id)sender;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<div class="method">
    <h3><a name="method$GormClassPanelController-runModal">runModal&nbsp;</a></h3>
    - (NSString*) <b>runModal</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
</div>
<a name="_GormClassPanelController_ivars"/>    <br/><hr width="50%" align="left" />
    <h2>Instance Variables for GormClassPanelController Class</h2>
    <h3><a name="ivariable$GormClassPanelController*allClasses">allClasses</a></h3>
    @protected NSMutableArray* <b>allClasses</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassPanelController*classBrowser">classBrowser</a></h3>
    @protected id <b>classBrowser</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassPanelController*className">className</a></h3>
    @protected NSString* <b>className</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassPanelController*classNameForm">classNameForm</a></h3>
    @protected id <b>classNameForm</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassPanelController*okButton">okButton</a></h3>
    @protected id <b>okButton</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <h3><a name="ivariable$GormClassPanelController*panel">panel</a></h3>
    @protected id <b>panel</b>;<br />
    <div class="desc">
      
            <em>Description forthcoming.</em>
          
    </div>
    <hr width="25%" align="left" />
    <br/><hr width="50%" align="left" /><br/>
    <br />
    </font>
</body>
</html>
